---
layout: docs
page_title: lease renew - Command
description: |-
  The "lease renew" command renews the lease on a secret, extending the time
  that it can be used before it is revoked by Vault.
---

# lease renew

The `lease renew` command renews the lease on a secret, extending the time that
it can be used before it is revoked by Vault.

Every secret in Vault has a lease associated with it. If the owner of the secret
wants to use it longer than the lease, then it must be renewed. Renewing the
lease does not change the contents of the secret.

## Examples

Renew a lease:

```shell-session
$ vault lease renew database/creds/readonly/27e1b9a1-27b8-83d9-9fe0-d99d786bdc83
Key                Value
---                -----
lease_id           database/creds/readonly/27e1b9a1-27b8-83d9-9fe0-d99d786bdc83
lease_duration     5m
lease_renewable    true
```

## Usage

The following flags are available in addition to the [standard set of
flags](/vault/docs/commands) included on all commands.

- `-increment` `(duration: "")` - Request a specific increment in seconds. Vault
  is not required to honor this request.
